/******************************************************************************
 GSimpleFileTree.cc

	File Tree

	BASE CLASS = JTree

 ******************************************************************************/

#include "GSimpleFileTree.h"
#include "GSimpleFileTreeNode.h"
#include "JTreeList.h"

#include "jAssert.h"


/******************************************************************************
 Constructor

 ******************************************************************************/

GSimpleFileTree::GSimpleFileTree
	(
	GSimpleFileTreeNode* root
	)
	:
	JTree(root)
{
}

/******************************************************************************
 Destructor

 ******************************************************************************/

GSimpleFileTree::~GSimpleFileTree()
{
}


/******************************************************************************
 SetTreeList

 ******************************************************************************/

void
GSimpleFileTree::SetTreeList
	(
	JTreeList* list
	)
{
	itsList = list;
}

/******************************************************************************
 GetTreeList

 ******************************************************************************/

JTreeList*
GSimpleFileTree::GetTreeList()
{
	return itsList;
}
