/******************************************************************************
 bindingseditor.cc
 
 Written by Glenn Bach - 1997.

 ******************************************************************************/

#include "BindingsDir.h"
#include <JXApplication.h>
#include <JString.h>
#include <iostream.h>
#include <jAssert.h>

/******************************************************************************
 main

 ******************************************************************************/

int
main
	(
	int		argc,
	char*	argv[]
	)
{
	JXApplication* app =
		new JXApplication(&argc, argv);
	assert( app != NULL );

	BindingsDir* dir;
	if (BindingsDir::Create(app, &dir))
		{	
		dir->Activate();
		}
	
	app->Run();				
	return 0;
}

