/******************************************************************************
 SyGHelpPrefObject.h

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#ifndef _H_SyGHelpPrefObject
#define _H_SyGHelpPrefObject

#include <JPrefObject.h>	

class SyGHelpPrefObject : public JPrefObject
{
public:

	SyGHelpPrefObject(JPrefsManager* prefsMgr, const JPrefID& id);

	virtual ~SyGHelpPrefObject();

protected:

	virtual void	ReadPrefs(istream& input);
	virtual void	WritePrefs(ostream& output) const;


private:

	// not allowed

	SyGHelpPrefObject(const SyGHelpPrefObject& source);
	const SyGHelpPrefObject& operator=(const SyGHelpPrefObject& source);
};

#endif
