/******************************************************************************
 SyGRemoteErrUpdateTask.cc

	Idle task to update a directory listing.

	BASE CLASS = JXUrgentTask

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include <SyGRemoteErrUpdateTask.h>

#include <jXGlobals.h>

/******************************************************************************
 Constructor

 ******************************************************************************/

SyGRemoteErrUpdateTask::SyGRemoteErrUpdateTask()
	:
	JXUrgentTask()
{
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGRemoteErrUpdateTask::~SyGRemoteErrUpdateTask()
{
}

/******************************************************************************
 Perform

 ******************************************************************************/

void
SyGRemoteErrUpdateTask::Perform()
{
	JGetUserNotification()->ReportError("Remote saving is not yet supported.");
}
